[arch-commits] Commit in libogg/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 10 04:13:18 EDT 2009


    Date: Friday, April 10, 2009 @ 04:13:18
  Author: eric
Revision: 34575

Merged revisions 356,12118,34571 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libogg/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r12118 | ronald | 2008-09-10 13:05:59 -0400 (Wed, 10 Sep 2008) | 1 line
  
  fix license
........
  r34571 | eric | 2009-04-10 03:56:50 -0400 (Fri, 10 Apr 2009) | 2 lines
  
  upgpkg: libogg 1.1.3-2
      Fixed url
........

Modified:
  libogg/repos/extra-i686/	(properties)
  libogg/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)


Property changes on: libogg/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libogg/trunk:1
   + /libogg/trunk:1-34574

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-10 08:11:36 UTC (rev 34574)
+++ extra-i686/PKGBUILD	2009-04-10 08:13:18 UTC (rev 34575)
@@ -4,18 +4,24 @@
 
 pkgname=libogg
 pkgver=1.1.3
-pkgrel=1
+pkgrel=2
 pkgdesc="Ogg bitstream and framing library"
-pkgurl="http://www.xiph.org/ogg/vorbis/download"
+arch=('i686' 'x86_64')
+url="http://www.xiph.org/ogg/"
+license=('BSD')
 depends=('glibc')
+options=('!libtool')
 source=(http://downloads.xiph.org/releases/ogg/$pkgname-$pkgver.tar.gz)
 md5sums=('eaf7dc6ebbff30975de7527a80831585')
 
 build() {
-  cd $startdir/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd $srcdir/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=$pkgdir install || return 1
+
+# install BSD license
+  install -Dm644 $srcdir/$pkgname-$pkgver/COPYING \
+	$pkgdir/usr/share/licenses/$pkgname/COPYING
 }
 



More information about the arch-commits mailing list